
.product-info {
    max-width: 800px;
    margin: auto;
    padding: 20px;
    background-color: #5C5C5C;
    border-radius: 10px;
}
.product-info h2 {
    color: #CC0000;
}
.product-info p {
    color: #CCCCCC;
}
.related-products {
    padding: 40px;
    text-align: center;
}
.related-products h2 {
    color: #CC0000;
}
.products {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.product {
    background-color: #5C5C5C;
    margin: 15px;
    padding: 20px;
    border-radius: 10px;
    width: 300px;
    text-align: left;
}
.product img {
    max-width: 100%;
    border-radius: 10px;
}
.masonry {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
    grid-gap: 10px;
    padding: 40px;
    background-color: #5C5C5C;
    border-radius: 10px;
}
.masonry img, .masonry video {
    width: 100%;
    height: 100%;
    border-radius: 10px;
    cursor: pointer;
    transition: transform 0.3s ease;
}
.masonry img:hover, .masonry video:hover {
    transform: scale(1.05);
}
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    padding-top: 100px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.9);
}
.modal-content {
    margin: auto;
    display: block;
    width: 30%;
    max-width: 700px;
}
.modal-content, .modal video {
    max-width: 100%;
    height: auto;
}
.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #FFFFFF;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}
.close:hover,
.close:focus {
    color: #999;
    text-decoration: none;
    cursor: pointer;
}